> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runtools.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Tool Hub

> Search public Tool Hub tools

Tool Hub marketplace endpoints use:

```text theme={null}
https://tools.runtools.ai/v1
```

Marketplace browse and search routes are public. Install, credential, and execute routes still require normal RunTools authentication.

## Query Parameters

<ParamField query="q" type="string" required>
  Search query.
</ParamField>

## Response

<ResponseField name="data" type="array">
  Matching marketplace tools.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://tools.runtools.ai/v1/marketplace/search?q=github"
  ```

  ```typescript SDK theme={null}
  const tools = await rt.tools.search('github');
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "data": [
      {
        "slug": "github",
        "name": "GitHub",
        "description": "Manage repositories, issues, and pull requests",
        "category": "developer",
        "type": "official",
        "installCount": 1200
      }
    ]
  }
  ```
</ResponseExample>

## Marketplace Listing

```bash theme={null}
curl https://tools.runtools.ai/v1/marketplace
```

```typescript theme={null}
const tools = await rt.tools.marketplace({ category: 'developer' });
```
